Bug 104731 - include date when printing month view on paper
Summary: include date when printing month view on paper
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Unclassified
Component: printing (show other bugs)
Version: 3.4
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-28 21:07 UTC by Richard Bos
Modified: 2009-01-08 22:14 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Bos 2005-04-28 21:07:14 UTC
Version:           3.4 (using KDE KDE 3.4.0)
OS:                Linux

It would be handy to have a print date on the printed out
month view.  This to make it easy to determine, what is the
month recent version of print out when more than 1 copy
is made and put on a stack (you probably know how that goes ;)

If a print date is put on the bottom of the page (e.g.) that
would come in handy some day.
Comment 1 Reinhold Kainhofer 2006-11-02 18:53:18 UTC
Reassigning all KOrganizer bug reports and wishes to the newly created 
korganizer-devel mailing list.
Comment 2 Ron Goodheart 2009-01-08 22:14:51 UTC
SVN commit 907451 by rgoodheart:

These changes also address some print overflow issues that were still
happening but were not reported.

GUI:
       gui changes to configuration dialogs

BUG: 102473
       Print month does not produce color output - events now in category
colors
BUG: 144809
       Calendar will not print in color - category colors for
incidence,day,week and month
BUG: 102598
       Print Locations,Descriptions, etc. on Filofax week pages - additional
info added
BUG: 104731
       include date when printing month view on paper - date now printed on
the bottom of page
BUG: 167751
       Printing jounral entries with richtext from korganizer print html-tags
       rich text is converted to plain text before printing for now on all
print types rather than printing the html

FEATURE: 71908
       calendar-print: option to switch on lines would be great - added
optional note lines
FEATURE: 83689
       Support printing of arbitrary date ranges - day range supports
arbitrary range
       (patch from David Faure incorporated  - feature in day print to print
selected range on one page
FEATURE: 110690
       Print "Month view" does not print all events - triangle printed in
lower right hand side of display box if the print overflows the box and all
information is not displayed



 M  +164 -114  calprintdayconfig_base.ui
 M  +96 -31    calprintdefaultplugins.cpp
 M  +9 -0      calprintdefaultplugins.h
 M  +95 -90    calprintincidenceconfig_base.ui
 M  +48 -18    calprintmonthconfig_base.ui
 M  +248 -106  calprintpluginbase.cpp
 M  +45 -6     calprintpluginbase.h
 M  +41 -13    calprinttodoconfig_base.ui
 M  +50 -34    calprintweekconfig_base.ui

WebSVN link: http://websvn.kde.org/?view=rev&revision=907451